package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/8/10
 * @Description 游戏首日复充总计一栏
 **/
@Data
public class GameDataFirstNewUserAgainTotalVO {

    /**
     * 消耗
     */
    @ApiModelProperty(value = "消耗")
    private BigDecimal cost;

    /**
     * 注册人数
     */
    @ApiModelProperty(value = "注册人数")
    private Long regNum;

    /**
     * 首日新用户充值次数
     */
    @ApiModelProperty(value = "首日新用户充值次数")
    private Long firstNewUserAmountCount;

    /**
     * 首日新用户充值人数
     */
    @ApiModelProperty(value = "首日新用户充值人数")
    private Long firstNewUserAmountNum;

    /**
     * 首日新用户充值金额
     */
    @ApiModelProperty(value = "首日新用户充值金额")
    private BigDecimal firstNewUserAmount;

    /**
     * 老用户充值次数
     */
    @ApiModelProperty(value = "老用户充值次数")
    private Long oldUserCount;

    /**
     * 老用户充值人数
     */
    @ApiModelProperty(value = "老用户充值人数")
    private Long oldUserNum;

    /**
     * 老用户充值金额
     */
    @ApiModelProperty(value = "老用户充值金额")
    private BigDecimal oldUserAmount;

    /**
     * 账面充值次数
     */
    @ApiModelProperty(value = "账面充值次数")
    private Long amountCount;

    /**
     * 账面充值人数
     */
    @ApiModelProperty(value = "账面充值人数")
    private Long amountNum;

    /**
     * 账面充值金额
     */
    @ApiModelProperty(value = "账面充值金额")
    private BigDecimal amount;

    /**
     * 新用户累计充值次数
     */
    @ApiModelProperty(value = "新用户累计充值次数")
    private Long newUserTotalAmountCount;

    /**
     * 新用户累计充值人数
     */
    @ApiModelProperty(value = "新用户累计充值人数")
    private Long newUserTotalAmountNum;

    /**
     * 新用户累计充值金额
     */
    @ApiModelProperty(value = "新用户累计充值金额")
    private BigDecimal newUserTotalAmount;

    /**
     * 首日Roi
     */
    @ApiModelProperty(value = "首日Roi")
    private BigDecimal firstRoi;

    @ApiModelProperty(value = "首日付费率（总）")
    private BigDecimal firstAmountRate;

    @ApiModelProperty(value = "当天付费率（总）")
    private BigDecimal todayAmountRate;

    /**
     * 新用户付费比
     */
    @ApiModelProperty(value = "新用户付费比")
    private BigDecimal newUserRate;

    /**
     * 首日客单价
     */
    @ApiModelProperty(value = "首日客单价")
    private BigDecimal firstAvgAmount;

    /**
     * 当天客单价
     */
    @ApiModelProperty(value = "当天客单价")
    private BigDecimal todayAvgAmount;

    /**
     * 账面客单价
     */
    @ApiModelProperty(value = "账面客单价")
    private BigDecimal avgAmount;

    /**
     * 复充率
     */
    @ApiModelProperty(value = "复充率")
    private BigDecimal userAgainRate;

    /**
     * 新增注册ARPU
     */
    @ApiModelProperty(value = "新增注册ARPU")
    private BigDecimal regUserArpu;

    /**
     * 首日付费ARPU
     */
    @ApiModelProperty(value = "首日付费ARPU")
    private BigDecimal firstAmountArpu;

    /**
     * 当天付费ARPU
     */
    @ApiModelProperty(value = "当天付费ARPU")
    private BigDecimal todayAmountArpu;

    /**
     * 账面ARPU
     */
    @ApiModelProperty(value = "账面ARPU")
    private BigDecimal amountArpu;

    @ApiModelProperty(value = "注册成本 = 消耗 / 注册人数")
    private BigDecimal regCost;

    @ApiModelProperty(value = "总回收率 = 新用户累计充值金额 / 消耗")
    private BigDecimal totalRoi;

    @ApiModelProperty(value = "首日充值成本 = 消耗 / 首日新用户充值人数")
    private BigDecimal firstNewUserRechargeCost;

    @ApiModelProperty(value = "总充值成本 = 消耗 / 新用户累计充值人数")
    private BigDecimal totalRechargeCost;

    @ApiModelProperty(value = "单日付费100+人数")
    private Long hundredUserNum;

    @ApiModelProperty(value = "单日付费100+成本 = 消耗 / 单日付费100+人数")
    private BigDecimal hundredUserNumCost;

    @ApiModelProperty(value = "首日创角人数")
    private Long firstRoleNum;

    @ApiModelProperty(value = "创角人数")
    private Long roleNum;

    @ApiModelProperty(value = "新用户累计创角人数")
    private Long newUserTotalRoleNum;

    @ApiModelProperty(value = "首日创角人数成本")
    private BigDecimal firstRoleNumCost;

    @ApiModelProperty(value = "创角人数成本")
    private BigDecimal roleNumCost;

    @ApiModelProperty(value = "新用户累计创角人数成本")
    private BigDecimal newUserTotalRoleNumCost;

    @ApiModelProperty(value = "首日创角率")
    private BigDecimal firstRoleNumRate;

    @ApiModelProperty(value = "创角率")
    private BigDecimal roleNumRate;

    @ApiModelProperty(value = "新用户累计创角率")
    private BigDecimal newUserTotalRoleNumRate;

    /**
     * 首日注册且充值用户复充趋势第1天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da1;

    /**
     * 首日注册且充值用户复充趋势在第2天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da2;

    /**
     * 首日注册且充值用户复充趋势在第3天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da3;

    /**
     * 首日注册且充值用户复充趋势在第4天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da4;

    /**
     * 首日注册且充值用户复充趋势在第5天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da5;

    /**
     * 首日注册且充值用户复充趋势在第6天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da6;

    /**
     * 首日注册且充值用户复充趋势在第7天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da7;

    /**
     * 首日注册且充值用户复充趋势在第8天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da8;

    /**
     * 首日注册且充值用户复充趋势在第9天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da9;

    /**
     * 首日注册且充值用户复充趋势在第10天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da10;

    /**
     * 首日注册且充值用户复充趋势在第11天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da11;

    /**
     * 首日注册且充值用户复充趋势在第12天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da12;

    /**
     * 首日注册且充值用户复充趋势在第13天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da13;

    /**
     * 首日注册且充值用户复充趋势在第14天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da14;

    /**
     * 首日注册且充值用户复充趋势在第15天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da15;

    /**
     * 首日注册且充值用户复充趋势在第16天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da16;

    /**
     * 首日注册且充值用户复充趋势在第17天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da17;

    /**
     * 首日注册且充值用户复充趋势在第18天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da18;

    /**
     * 首日注册且充值用户复充趋势在第19天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da19;

    /**
     * 首日注册且充值用户复充趋势在第20天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da20;

    /**
     * 首日注册且充值用户复充趋势在第21天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da21;

    /**
     * 首日注册且充值用户复充趋势在第22天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da22;

    /**
     * 首日注册且充值用户复充趋势在第23天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da23;

    /**
     * 首日注册且充值用户复充趋势在第24天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da24;

    /**
     * 首日注册且充值用户复充趋势在第25天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da25;

    /**
     * 首日注册且充值用户复充趋势在第26天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da26;

    /**
     * 首日注册且充值用户复充趋势在第27天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da27;

    /**
     * 首日注册且充值用户复充趋势在第28天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da28;

    /**
     * 首日注册且充值用户复充趋势在第29天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da29;

    /**
     * 首日注册且充值用户复充趋势在第30天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String da30;

    /**
     * 首日注册且充值用户复充趋势在第2月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String m2;

    /**
     * 首日注册且充值用户复充趋势在第3月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String m3;

    /**
     * 首日注册且充值用户复充趋势在第4月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String m4;

    /**
     * 首日注册且充值用户复充趋势在第5月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String m5;

    /**
     * 首日注册且充值用户复充趋势在第6月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String m6;

    /**
     * 首日注册且充值用户复充趋势在第7月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String m7;

    /**
     * 首日注册且充值用户复充趋势在第8月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String m8;

    /**
     * 首日注册且充值用户复充趋势在第9月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String m9;

    /**
     * 首日注册且充值用户复充趋势在第10月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String m10;

    /**
     * 首日注册且充值用户复充趋势在第11月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String m11;

    /**
     * 首日注册且充值用户复充趋势在第1年：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String y1;

    /**
     * 首日注册且充值的用户至今：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String total;

    /**
     * 首日注册且充值用户复充趋势第1天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势第1天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da1Trend;

    /**
     * 首日注册且充值用户复充趋势在第2天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第2天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da2Trend;

    /**
     * 首日注册且充值用户复充趋势在第3天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第3天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da3Trend;

    /**
     * 首日注册且充值用户复充趋势在第4天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第4天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da4Trend;

    /**
     * 首日注册且充值用户复充趋势在第5天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第5天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da5Trend;

    /**
     * 首日注册且充值用户复充趋势在第6天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第6天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da6Trend;

    /**
     * 首日注册且充值用户复充趋势在第7天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第7天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da7Trend;

    /**
     * 首日注册且充值用户复充趋势在第8天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第8天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da8Trend;

    /**
     * 首日注册且充值用户复充趋势在第9天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第9天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da9Trend;

    /**
     * 首日注册且充值用户复充趋势在第10天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第10天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da10Trend;

    /**
     * 首日注册且充值用户复充趋势在第11天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第11天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da11Trend;

    /**
     * 首日注册且充值用户复充趋势在第12天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第12天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da12Trend;

    /**
     * 首日注册且充值用户复充趋势在第13天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第13天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da13Trend;

    /**
     * 首日注册且充值用户复充趋势在第14天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第14天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da14Trend;

    /**
     * 首日注册且充值用户复充趋势在第15天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第15天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da15Trend;

    /**
     * 首日注册且充值用户复充趋势在第16天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第16天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da16Trend;

    /**
     * 首日注册且充值用户复充趋势在第17天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第17天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da17Trend;

    /**
     * 首日注册且充值用户复充趋势在第18天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第18天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da18Trend;

    /**
     * 首日注册且充值用户复充趋势在第19天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在19天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da19Trend;

    /**
     * 首日注册且充值用户复充趋势在第20天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第20天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da20Trend;

    /**
     * 首日注册且充值用户复充趋势在第21天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第21天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da21Trend;

    /**
     * 首日注册且充值用户复充趋势在第22天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第22天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da22Trend;

    /**
     * 首日注册且充值用户复充趋势在第23天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第23天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da23Trend;

    /**
     * 首日注册且充值用户复充趋势在第24天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第24天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da24Trend;

    /**
     * 首日注册且充值用户复充趋势在第25天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第25天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da25Trend;

    /**
     * 首日注册且充值用户复充趋势在第26天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第26天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da26Trend;

    /**
     * 首日注册且充值用户复充趋势在第27天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第27天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da27Trend;

    /**
     * 首日注册且充值用户复充趋势在第28天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第28天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da28Trend;

    /**
     * 首日注册且充值用户复充趋势在第29天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第29天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da29Trend;

    /**
     * 首日注册且充值用户复充趋势在第30天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第30天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO da30Trend;

    /**
     * 首日注册且充值用户复充趋势在第2月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第2月：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO m2Trend;

    /**
     * 首日注册且充值用户复充趋势在第3月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第3月：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO m3Trend;

    /**
     * 首日注册且充值用户复充趋势在第4月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第4月：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO m4Trend;

    /**
     * 首日注册且充值用户复充趋势在第5月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第5月：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO m5Trend;

    /**
     * 首日注册且充值用户复充趋势在第6月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第6月：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO m6Trend;

    /**
     * 首日注册且充值用户复充趋势在第7月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第7月：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO m7Trend;

    /**
     * 首日注册且充值用户复充趋势在第8月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第8月：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO m8Trend;

    /**
     * 首日注册且充值用户复充趋势在第9月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第9月：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO m9Trend;

    /**
     * 首日注册且充值用户复充趋势在第10月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第10月：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO m10Trend;

    /**
     * 首日注册且充值用户复充趋势在第11月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第11月：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO m11Trend;

    /**
     * 首日注册且充值用户复充趋势在第1年：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第1年：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO y1Trend;

    /**
     * 首日注册且充值的用户至今：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值的用户至今：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO totalTrend;


}
